<!doctype HTML>
<!-- 
     Hey!  Thanks for visiting this source code!  You are now 'one of the cool ones'.
     I'll give you a tour of sorts with these comments if you keen.

     Also, you want some good Wellington Music?  I really like St!
     https://girlboss.bandcamp.com/

     K, let's get to that code.
  -->
<html>
  <head>
    <title>Solarpunk.cool</title>
    <!-- 
         Here's some meta deets to have the page be responsive, and have all my text display correctly.
         Without the charset meta stuff, quotation marks show up as &quot; which is considered &quot;Not Cool&quot;
      -->
    <meta http-equiv="Content-Type" content="text/html"; charset="UTF-8" />
    <meta name="viewport" content-width="device-width", initial-scale="1">
    <!-- 
         Here's some meta deets for search engines and when the solarpunk link is shared with others.
      -->
    <meta name="author" content="yr friendly local solarpunks!">
    <!-- Same, but now the facebook stuff -->
    <meta property="og:title" content="Solarpunk.Cool" />
    <meta property="og:type" content="website" />
    <meta name="description" content="The premier site for hot young solarpunks.">
    <meta property="og:image"
          content="./assets/dat-zine-workshop-banner.png"
          />
    <meta property="og:url" content="https://coolguy.website/" />

    <!-- Now the Twitter stuff -->
    <meta name="twitter:card" content="summary_large_image" />
    <meta name="twitter:title" content="Solarpunk.Cool" />
    <meta name="twitter:description" content="The premier site for hot young solarpunks." />
    <meta name="twitter:image" content="./assets/dat-zine-workshop-banner.png" />
    <!-- Meta is done, now we can add that sweet styling! -->
    <link rel="stylesheet" type="text/css" href="./aesthetic/main.css" />
    <link rel="stylesheet" media="screen" href="https://fontlibrary.org/face/manic-monday" type="text/css"/>  
    <link rel='stylesheet' type='text/css' href="./aesthetic/colors-and-fonts.css" />
    <!-- We will also bring in the tachyons css because it's fun to code with. -->
    <link rel='stylesheet' type="text/css" href="https://unpkg.com/tachyons@4.10.0/css/tachyons.min.css" />
  </head>
  <!doctype HTML>
<html>
  <body>
    <div id='frame' class='bg-moon-gray'>
      <h1><a href='dinner/announcements.html'>Announcements!</a></h1>
      <div id='top-frame'>
      </div>
      <div id='mid-frame-l'>
      </div>
      <div id='mid-frame-c'>
        <a id='entry' href='dat-zine-workshop' 
           title='entry to garden, link requires the beaker browser.'
           class='clouds inset-light-pink flex flex-column justify-center items-center'
           >
        </a>
      <div id='mid-frame-r'>
      </div>
      <div id='bottom-frame'>
      </div>
    </div>
    <!--
        <h1>solarpunk.cool</h1>
        <em>Build a better future through love, code, and hypnogogia. Achieve photosynthesis. Have fun.</em>
        <a href='dat-zine-workshop/' title='dat zine workshop event page'>Dat Zine Workshop</a>
        -->
        <script>
          var consoleGoodies = {
            good_music: 'dat://filez.destroywithscience.com',
            good_zines: 'dat://zinelibrary.coolguy.website',
            good_yoga: 'dat://angblev.com',
            good_dats: 'dat://p2p.taravancil.com',
            good_person: 'You.  It was always you.'
          }
          console.log("Hi!  Thanks for checking out this terminal for solarpunk.cool!  Inspect our elements, parse our code! Have fun! And hey, here's some nice things for you to enjoy!", {consoleGoodies})
        </script>
        <script>
          var entry = document.querySelector('#entry')
          var invitation = document.querySelector('#invitation')
          
          adjustForP2P()
          
          function adjustForP2P () {
            var isP2P = checkIfP2P()
            console.log({isP2P})
            if (isP2P) {
              entry.classList.remove('hidden')
              invitation.classList.add('hidden')
            } else {
              console.log("you should try this site out on beaker browser: https://beakerbrowser.com.  in the browser, choose click the 'p2p available' button to truly experience solarpunk.cool")
            }
          }
          
          function checkIfP2P () {
             try {
               var p2pVersion = new DatArchive(window.location)
               return p2pVersion !== undefined
             } catch (err) {
               return false
             }
           }
        </script>

  </body>
</html>
